package com.dragon.tj.portal.auth.web.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragon.tj.portal.auth.web.entity.SysDept;
import com.dragon.tj.portal.auth.web.mapper.SysDeptMapper;
import com.dragon.tj.portal.auth.web.mapper.SysUserMapper;
import com.dragon.tj.portal.auth.web.service.SysDeptService;
import com.google.common.collect.Lists;
import com.google.common.collect.Sets;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 部门表 服务实现类
 * </p>
 *
 * @author caiaa
 * @since 2023-06-23
 */
@Service
public class SysDeptServiceImpl extends ServiceImpl<SysDeptMapper, SysDept> implements SysDeptService {

    @Autowired
    private SysUserMapper sysUserMapper;

    @Override
    public Set<String> getAllUserIds(Set<String> orgCodeSet, boolean cascade) {
        List<String> orgCodeList = Lists.newArrayList(orgCodeSet);
        List<List<String>> codeSplit = CollUtil.split(orgCodeList, 800);

        Set<String> userIdListRst = Sets.newHashSet();
        for (List<String> itemCodes : codeSplit) {
            Set<String> userIds = sysUserMapper.getUserIds(itemCodes);
            userIdListRst.addAll(userIds);
        }
        return userIdListRst;
    }
}
