package com.dragon.tj.portal.common.dto.message;


import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.util.Set;

/**
 * @author huey China.
 * @Description :
 * @Date Created in 2023/6/15 15:59
 */
@Getter
@Setter
public class MessageInfoReq {


    @Range(min = 1, max = 3, message = "请填入1~3,1 通知公告 2信息交流 3 标准规范 ")
    private Integer messageType;

    /**
     * 范围ids
     */
    private Set<String> scopeIds;

    /**
     * 阅读状态 默认0未读 1已读
     */
    private Integer readStatus;

    /**
     * 信息标题
     */
    private String title;

    /**
     * 信息内容
     */
    private String content;

    /**
     * 附件地址
     */
    private String attachmentPath;


    /**
     * 版本号
     */
    private Integer version;


    @NotNull(message = "毫秒时间戳 不能为空")
    private Long t;

    /**
     * md5 （登录人标识+t）
     */
//    @NotBlank(message = "调用者身份验证标识 不能为空")
    private String k;

    /**
     *
     *--------------非req参数
     */
    /**
     * TODO appId
     */
    private String appId = "appId";

    /**
     *消息级别
     */
    private Integer messageLevel;

}
